Bug 64540 - switch from bndwrap task to bnd task
Summary: switch from bndwrap task to bnd task
Status: RESOLVED FIXED
Alias: None
Product: Tomcat 10
Classification: Unclassified
Component: Packaging (show other bugs)
Version: unspecified
Hardware: All All
: P2 normal (vote)
Target Milestone: ------
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-19 13:36 UTC by rotty3000
Modified: 2020-07-21 14:20 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rotty3000 2020-06-19 13:36:05 UTC
Bnd task is more targeted and offers more control w.r.t. building OSGi metadata. We also need it later to leverage access to classpath references for producing more accurate metadata.
Comment 1 rotty3000 2020-06-19 15:07:26 UTC
While making this change we also have to do an initial pass over the metadata to make sure it's all still minimally correct.
Comment 3 Mark Thomas 2020-06-23 10:43:49 UTC
Fixed in:
- master for 10.0.0-M7 onwards
- 9.0.x for 9.0.37 onwards

Thanks for the PRs.
Comment 4 rotty3000 2020-07-21 14:20:48 UTC
For the record, this was not really a bug. The packages were in fact in the jar. I confirmed with a binary check before and after the change and the jar is unchanged except for the manifest and the module-info.class